=== debian/changelog ===
soapyaudio (0~git20160607-3build1) bionic; urgency=medium

  * No-change rebuild against librtaudio6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:48:29 +0000

soapyaudio (0~git20160607-3) unstable; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 07 Aug 2017 17:03:27 -0400

soapyaudio (0~git20160607-2) unstable; urgency=medium

  * Mark soapysdr-module-audio Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:25:34 +0100

soapyaudio (0~git20160607-1) unstable; urgency=medium

  * Initial release (Closes: #834381)

 -- Andreas Bombe <aeb@debian.org>  Thu, 25 Aug 2016 02:57:38 +0200
