=== debian/control ===
Source: soapyaudio
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    libsoapysdr0.6-dev,
    librtaudio-dev,
    libhamlib-dev
Standards-Version: 4.0.1
Homepage: https://github.com/pothosware/SoapyAudio/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyaudio.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyaudio.git

Package: soapysdr0.6-module-audio
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.6-module
Description: Audio device support for SoapySDR
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.

Package: soapysdr-module-audio
Architecture: any
Multi-Arch: same
Depends: soapysdr0.6-module-audio, ${misc:Depends}
Description: Audio device support for SoapySDR (default version)
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.
 .
 This is an empty dependency package that pulls in the audio module
 for the default version of libsoapysdr.
