## soapyaudio 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,17 +9,18 @@
     message(FATAL_ERROR "Soapy SDR development files not found...")
 endif ()
 
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
+include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 option(USE_HAMLIB OFF "Support hamlib for radio control functions.")
 
 if (USE_HAMLIB)
     find_package(hamlib REQUIRED)
-    
+
     if (NOT hamlib_FOUND)
         message(FATAL_ERROR "hamlib development files not found...")
     endif ()
-    
+
     include_directories(${hamlib_INCLUDE_DIRS})
     if (${hamlib_STATIC_FOUND})
         link_libraries(${hamlib_STATIC_LIBRARIES})
@@ -27,13 +28,8 @@
         link_libraries(${hamlib_LIBRARIES})
     endif()
 
-	ADD_DEFINITIONS(-DUSE_HAMLIB)	    
+    ADD_DEFINITIONS(-DUSE_HAMLIB)
 endif ()
-
-# list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
-
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/RtAudio)
 
 #enable c++11 features
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -59,6 +55,25 @@
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
 endif(APPLE)
 
+find_package(RtAudio)
+
+if (RTAUDIO_FOUND)
+
+    SET(AUDIO_LIBS ${AUDIO_LIBS} ${RTAUDIO_LIBRARIES})
+    ADD_DEFINITIONS(${RTAUDIO_DEFINITIONS})
+    include_directories(${RTAUDIO_INCLUDE_DIR})
+
+else (RTAUDIO_FOUND)
+
+message(STATUS "Using internal RtAudio library")
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/RtAudio)
+
+set (
+    RTAUDIO_SOURCES
+    RtAudio/RtAudio.cpp
+    RtAudio/RtAudio.h
+)
+
 IF (WIN32)
 	set(USE_AUDIO_DS ON CACHE BOOL "Support DirectSound Audio")
 	set(USE_AUDIO_WASAPI OFF CACHE BOOL "Support WASAPI Audio")
@@ -67,21 +82,21 @@
 
 	# WASAPI
 	IF(USE_AUDIO_WASAPI)
-		ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)	
-		IF (NOT MSVC)	
+		ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)
+		IF (NOT MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} -luuid -lksuser)
 		ENDIF(NOT MSVC)
 	ENDIF(USE_AUDIO_WASAPI)
 
 	# DirectSound
-	IF (USE_AUDIO_DS)	
-		ADD_DEFINITIONS(-D__WINDOWS_DS__)	
-		IF (MSVC)	
+	IF (USE_AUDIO_DS)
+		ADD_DEFINITIONS(-D__WINDOWS_DS__)
+		IF (MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} dsound.lib)
 		ELSE (MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} -ldsound)
 		ENDIF (MSVC)
-	ENDIF(USE_AUDIO_DS)    
+	ENDIF(USE_AUDIO_DS)
 ENDIF (WIN32)
 
 IF (UNIX AND NOT APPLE)
@@ -89,7 +104,7 @@
     SET(USE_AUDIO_JACK OFF CACHE BOOL "Support Jack Audio")
     SET(USE_AUDIO_ALSA OFF CACHE BOOL "Support ALSA Audio")
     SET(USE_AUDIO_OSS OFF CACHE BOOL "Support OSS Audio")
-  
+
     IF(USE_AUDIO_PULSE)
        SET (AUDIO_LIBS ${AUDIO_LIBS} pulse-simple pulse)
        ADD_DEFINITIONS(
@@ -128,16 +143,18 @@
 IF (APPLE)
  ADD_DEFINITIONS(
    -D__MACOSX_CORE__
- )    
+ )
 
 FIND_LIBRARY(COREAUDIO_LIBRARY CoreAudio)
 FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
 SET (AUDIO_LIBS ${COREAUDIO_LIBRARY} ${COREFOUNDATION_LIBRARY} ${AUDIO_LIBS} )
 ENDIF (APPLE)
 
+endif (RTAUDIO_FOUND)
+
 IF (USE_HAMLIB)
     SET (
-        HAMLIB_SOURCES 
+        HAMLIB_SOURCES
         RigThread.cpp
         RigThread.h
     )
@@ -147,11 +164,10 @@
     TARGET audioSupport
     SOURCES
         SoapyAudio.hpp
-        Registation.cpp
+        Registration.cpp
         Settings.cpp
         Streaming.cpp
-        RtAudio/RtAudio.cpp
-        RtAudio/RtAudio.h        
+        ${RTAUDIO_SOURCES}
         ${HAMLIB_SOURCES}
     LIBRARIES
         ${AUDIO_LIBS}
