=== debian/changelog ===
soapyaudio (0.1.1-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with RtAudio 6 (Closes: #1051556)
    Thank you to IOhannes m zmoelnig <umlaeute@debian.org> for the patch.

 -- tony mancill <tmancill@debian.org>  Sun, 23 Jun 2024 19:19:02 -0700

soapyaudio (0.1.1-5) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:22:07 +0530

soapyaudio (0.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:22:46 +0200

soapyaudio (0.1.1-3) experimental; urgency=low

  [ Andreas Bombe ]
  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Increase debhelper compat level to 13
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Bombe <aeb@debian.org>  Thu, 26 Aug 2021 19:07:24 +0200

soapyaudio (0.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:15:41 +0200

soapyaudio (0.1.1-1) experimental; urgency=medium

  * New upstream version 0.1.1
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Drop use-system-rtaudio patch, upstream now uses system library if found
  * Add debian/watch now that there are upstream releases
  * Update copyright lines for embedded (unused) copy of RtAudio and
    FindRtAudio.cmake in debian/copyright
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12 and remove --parallel option from dh
    invocation
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 23:50:06 +0200
