=== debian/control ===
Source: soapyaudio
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev,
    librtaudio-dev,
    libhamlib-dev
Standards-Version: 4.6.2
Homepage: https://github.com/pothosware/SoapyAudio/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyaudio
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyaudio.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-audio
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Audio device support for SoapySDR
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.

Package: soapysdr-module-audio
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-audio, ${misc:Depends}
Description: Audio device support for SoapySDR (default version)
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.
 .
 This is an empty dependency package that pulls in the audio module
 for the default version of libsoapysdr.
