=== debian/watch ===
version=4
https://github.com/pothosware/SoapyAudio/tags .*/soapy-audio-([\d\.]+)\.tar\.(?:xz|gz|bz2)
